%define oname vicious

Name:       awesome-plugin-%{oname}
Version:    2.1.0
Release:    %mkrel 2
Summary:    A modular widget library for the "awesome" window manager
License:    GPLv2
Group:      Graphical desktop/Other
URL:        https://awesome.naquadah.org/wiki/Vicious

Source0:    http://git.sysphere.org/vicious/snapshot/%{oname}-%{version}.tar.xz
Patch0:     %{oname}-2.0.0-Makefile.patch

Requires:   awesome

BuildArch:  noarch

%description
Vicious is a modular widget library for the "awesome" window manager,
derived from the 'Wicked' widget library. It has some of the old
Wicked widget types, a few of them rewritten, and a good number of
new ones.

%prep
%setup -q -n %{oname}-%{version}
%patch0 -p1

%build
#nothing to do

%install
rm -rf %{buildroot}
export datadir=%{_datadir}

make libdir=%{_datadir}/awesome/lib/ DESTDIR=%{buildroot} install

%files
%defattr(-,root,root,-)
%doc README CHANGES LICENSE TODO
%{_datadir}/awesome/lib/%{oname}/*.lua
%{_datadir}/awesome/lib/%{oname}/widgets/*


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 2.1.0-2.mga3
+ Revision: 346737
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 shikamaru <shikamaru> 2.1.0-1.mga3
+ Revision: 324000
- new version 2.1.0

* Wed Nov 16 2011 kamil <kamil> 2.0.3-1.mga2
+ Revision: 168063
- new version
- URL updated (mga #3035)
- removed the clean section and minor changed in the spec file

* Sun Mar 20 2011 shikamaru <shikamaru> 2.0.2-1.mga1
+ Revision: 74871
- imported package awesome-plugin-vicious

